#include <bits/stdc++.h>

using namespace std;

int n,l,b;
bool p;

int main()
{
    scanf("%d %d",&n,&l);
    for(int i=1; i<=n; i++)
    {
        scanf("%d",&b);
        if(p) continue;
        if(b>l) continue;
        p = 1;
        printf("%d\n",i);
    }
    if(!p) printf("-1\n");
    return 0;
}